osgAnimation::StackedMatrixElement Class Reference

`#include <StackedMatrixElement>`

Inheritance diagram for osgAnimation::StackedMatrixElement:

## Public Member Functions

| META_Object (osgAnimation, StackedMatrixElement)
| StackedMatrixElement ()
| StackedMatrixElement (const StackedMatrixElement &, const osg::CopyOp &)
| StackedMatrixElement (const std::string &name, const osg::Matrix &matrix)
| StackedMatrixElement (const osg::Matrix &matrix)
void | applyToMatrix (osg::Matrix &matrix) const
osg::Matrix | getAsMatrix () const
const osg::Matrix & | getMatrix () const
void | setMatrix (const osg::Matrix &matrix)
bool | isIdentity () const
void | update (float t=0.0)
virtual Target * | getOrCreateTarget ()
virtual Target * | getTarget ()
virtual const Target * | getTarget () const
Public Member Functions inherited from osgAnimation::StackedTransformElement
| StackedTransformElement ()
| StackedTransformElement (const StackedTransformElement &rhs, const osg::CopyOp &c)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

osg::Matrix | _matrix
osg::ref_ptr< MatrixTarget > | _target
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## StackedMatrixElement() [1/4]

osgAnimation::StackedMatrixElement::StackedMatrixElement | ( |  | ) |

Referenced by META_Object(), and StackedMatrixElement().

## StackedMatrixElement() [2/4]

osgAnimation::StackedMatrixElement::StackedMatrixElement | ( | const StackedMatrixElement & | ,
|  | const osg::CopyOp & | )

References StackedMatrixElement().

## StackedMatrixElement() [3/4]

osgAnimation::StackedMatrixElement::StackedMatrixElement | ( | const std::string & | name,
|  | const osg::Matrix & | matrix )

## StackedMatrixElement() [4/4]

osgAnimation::StackedMatrixElement::StackedMatrixElement | ( | const osg::Matrix & | matrix | ) |

## Member Function Documentation

## applyToMatrix()

void osgAnimation::StackedMatrixElement::applyToMatrix | ( | osg::Matrix & | matrix | ) | const

inline virtual

Implements osgAnimation::StackedTransformElement.

References _matrix.

## getAsMatrix()

osg::Matrix osgAnimation::StackedMatrixElement::getAsMatrix | ( |  | ) | const

inline virtual

Implements osgAnimation::StackedTransformElement.

References _matrix.

## getMatrix()

const osg::Matrix & osgAnimation::StackedMatrixElement::getMatrix | ( |  | ) | const

inline

References _matrix.

## getOrCreateTarget()

virtual Target * osgAnimation::StackedMatrixElement::getOrCreateTarget | ( |  | ) |

virtual

Reimplemented from osgAnimation::StackedTransformElement.

## getTarget() [1/2]

virtual Target * osgAnimation::StackedMatrixElement::getTarget | ( |  | ) |

inline virtual

Reimplemented from osgAnimation::StackedTransformElement.

References _target.

## getTarget() [2/2]

virtual const Target * osgAnimation::StackedMatrixElement::getTarget | ( |  | ) | const

inline virtual

Reimplemented from osgAnimation::StackedTransformElement.

References _target.

## isIdentity()

bool osgAnimation::StackedMatrixElement::isIdentity | ( |  | ) | const

inline virtual

Implements osgAnimation::StackedTransformElement.

References _matrix.

## META_Object()

osgAnimation::StackedMatrixElement::META_Object | ( | osgAnimation | ,
|  | StackedMatrixElement | )

References StackedMatrixElement().

## setMatrix()

void osgAnimation::StackedMatrixElement::setMatrix | ( | const osg::Matrix & | matrix | ) |

inline

References _matrix.

## update()

void osgAnimation::StackedMatrixElement::update | ( | float | t = 0.0 | ) |

virtual

Implements osgAnimation::StackedTransformElement.

## Member Data Documentation

## _matrix

osg::Matrix osgAnimation::StackedMatrixElement::_matrix

protected

Referenced by applyToMatrix(), getAsMatrix(), getMatrix(), isIdentity(), and setMatrix().

## _target

osg::ref_ptr<MatrixTarget> osgAnimation::StackedMatrixElement::_target

protected

Referenced by getTarget(), and getTarget().

The documentation for this class was generated from the following file:

- StackedMatrixElement